# Class VulkanBufferViewCreateInfo.Builder

java.lang.Object
com.io7m.jcoronado.api.VulkanBufferViewCreateInfo.Builder

Enclosing class:
  `VulkanBufferViewCreateInfo`

public static final class VulkanBufferViewCreateInfo.Builder extends Object
Builds instances of type `VulkanBufferViewCreateInfo`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final VulkanBufferViewCreateInfo.Builder`
  `addAllFlags(Iterable<VulkanBufferViewCreateFlag> elements)`
  Adds elements to `flags` set.
  `final VulkanBufferViewCreateInfo.Builder`
  `addFlags(VulkanBufferViewCreateFlag element)`
  Adds one element to `flags` set.
  `final VulkanBufferViewCreateInfo.Builder`
  `addFlags(VulkanBufferViewCreateFlag... elements)`
  Adds elements to `flags` set.
  `VulkanBufferViewCreateInfo`
  `build()`
  Builds a new `VulkanBufferViewCreateInfo`.
  `final VulkanBufferViewCreateInfo.Builder`
  `from(VulkanBufferViewCreateInfoType instance)`
  Fill a builder with attribute values from the provided `VulkanBufferViewCreateInfoType` instance.
  `final VulkanBufferViewCreateInfo.Builder`
  `setBuffer(VulkanBufferType buffer)`
  Initializes the value for the `buffer` attribute.
  `final VulkanBufferViewCreateInfo.Builder`
  `setFlags(Iterable<VulkanBufferViewCreateFlag> elements)`
  Sets or replaces all elements for `flags` set.
  `final VulkanBufferViewCreateInfo.Builder`
  `setFormat(VulkanFormat format)`
  Initializes the value for the `format` attribute.
  `final VulkanBufferViewCreateInfo.Builder`
  `setOffset(long offset)`
  Initializes the value for the `offset` attribute.
  `final VulkanBufferViewCreateInfo.Builder`
  `setRange(long range)`
  Initializes the value for the `range` attribute.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final VulkanBufferViewCreateInfo.Builder from(VulkanBufferViewCreateInfoType instance)
    Fill a builder with attribute values from the provided `VulkanBufferViewCreateInfoType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values. Collection elements and entries will be added, not replaced.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### addFlags

    public final VulkanBufferViewCreateInfo.Builder addFlags(VulkanBufferViewCreateFlag element)
    Adds one element to `flags` set.
    Parameters:
      `element` - A flags element
    Returns:
      `this` builder for use in a chained invocation

  - ### addFlags

    public final VulkanBufferViewCreateInfo.Builder addFlags(VulkanBufferViewCreateFlag... elements)
    Adds elements to `flags` set.
    Parameters:
      `elements` - An array of flags elements
    Returns:
      `this` builder for use in a chained invocation

  - ### setFlags

    public final VulkanBufferViewCreateInfo.Builder setFlags(Iterable<VulkanBufferViewCreateFlag> elements)
    Sets or replaces all elements for `flags` set.
    Parameters:
      `elements` - An iterable of flags elements
    Returns:
      `this` builder for use in a chained invocation

  - ### addAllFlags

    public final VulkanBufferViewCreateInfo.Builder addAllFlags(Iterable<VulkanBufferViewCreateFlag> elements)
    Adds elements to `flags` set.
    Parameters:
      `elements` - An iterable of flags elements
    Returns:
      `this` builder for use in a chained invocation

  - ### setBuffer

    public final VulkanBufferViewCreateInfo.Builder setBuffer(VulkanBufferType buffer)
    Initializes the value for the `buffer` attribute.
    Parameters:
      `buffer` - The value for buffer
    Returns:
      `this` builder for use in a chained invocation

  - ### setFormat

    public final VulkanBufferViewCreateInfo.Builder setFormat(VulkanFormat format)
    Initializes the value for the `format` attribute.

    If not set, this attribute will have a default value as returned by the initializer of `format`.

    Parameters:
      `format` - The value for format
    Returns:
      `this` builder for use in a chained invocation

  - ### setOffset

    public final VulkanBufferViewCreateInfo.Builder setOffset(long offset)
    Initializes the value for the `offset` attribute.

    If not set, this attribute will have a default value as returned by the initializer of `offset`.

    Parameters:
      `offset` - The value for offset
    Returns:
      `this` builder for use in a chained invocation

  - ### setRange

    public final VulkanBufferViewCreateInfo.Builder setRange(long range)
    Initializes the value for the `range` attribute.

    If not set, this attribute will have a default value as returned by the initializer of `range`.

    Parameters:
      `range` - The value for range
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public VulkanBufferViewCreateInfo build()
    Builds a new `VulkanBufferViewCreateInfo`.
    Returns:
      An immutable instance of VulkanBufferViewCreateInfo
    Throws:
      `IllegalStateException` - if any required attributes are missing